Bug 1412739 - With MIT KRB5 1.15 IPA leaks memory with each request
Summary: With MIT KRB5 1.15 IPA leaks memory with each request
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: IPA Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 16:20 UTC by Andreas Schneider
Modified: 2017-03-20 16:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-20 16:56:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Schneider 2017-01-12 16:20:42 UTC
Description of problem:

The KDB version changed and MIT not providing a callback for a db_free_principal anymore.

See 03d34fcfa329fbc2f686a0b34e2731e37f483a34

This means to free a db_entry it calls krb5_db_free_principal(). This function calls free(k->e_data).

This means that e_data needs to be flat. Just one memory allocation.

struct ipadb_e_data has several pointer which are all allocated on it's own. ipadb_free_principal() isn't called anymore so the data allocated on ipadb_e_data is not freed!


(We have a bigger problem with Samba here.)

Comment 1 Petr Vobornik 2017-02-10 13:57:20 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/6619

Comment 2 Martin Bašti 2017-02-15 13:28:01 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/593ea7da9a732647052cb56c08ad367e40be3912

Comment 3 Fedora End Of Life 2017-02-28 10:56:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Tomas Krizek 2017-03-20 16:56:44 UTC
Fixed in 4.4.3-5:

https://koji.fedoraproject.org/koji/buildinfo?buildID=859854


Note You need to log in before you can comment on or make changes to this bug.